Package org.gradle.plugin.management

## Interface PluginManagementSpec

-     public interface PluginManagementSpec

  Configures how plugins are resolved.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PluginDependenciesSpec` | `getPlugins()` | The Plugin dependencies, permitting default plugin versions to be configured.
    `RepositoryHandler` | `getRepositories()` | The plugin repositories to use.
    `PluginResolutionStrategy` | `getResolutionStrategy()` | The plugin resolution strategy.
    `void` | `plugins​(Action<? super PluginDependenciesSpec> action)` | Configure the default plugin versions.
    `void` | `repositories​(Action<? super RepositoryHandler> repositoriesAction)` | Defines the plugin repositories to use.
    `void` | `resolutionStrategy​(Action<? super PluginResolutionStrategy> action)` | Configure the plugin resolution strategy.

- - ### Method Detail

    - #### repositories

          void repositories​(Action<? super RepositoryHandler> repositoriesAction)

      Defines the plugin repositories to use.

    - #### getRepositories

          RepositoryHandler getRepositories()

      The plugin repositories to use.

    - #### resolutionStrategy

          void resolutionStrategy​(Action<? super PluginResolutionStrategy> action)

      Configure the plugin resolution strategy.

    - #### getResolutionStrategy

          PluginResolutionStrategy getResolutionStrategy()

      The plugin resolution strategy.

    - #### plugins

          @Incubating
          void plugins​(Action<? super PluginDependenciesSpec> action)

      Configure the default plugin versions.
      Since:
        5.6

    - #### getPlugins

          @Incubating
          PluginDependenciesSpec getPlugins()

      The Plugin dependencies, permitting default plugin versions to be configured.
      Since:
        5.6